Adobe heeft voor het eerst op zijn patchdag kritieke lekken in Adobe Reader en Acrobat gepatcht.

De lekken stellen aanvallers in staat om de applicaties te laten crashen en zichzelf vervolgens toegang tot het systeem te verschaffen en de controle over het systeem over te nemen. Ook is het mogelijk willekeurige code uit te voeren op het systeem waarop de lekke software is geïnstalleerd.

Adobe kondigde vorige maand aan dat het voor Adobe Reader en Acrobat maandelijks patches ging uitbrengen, waarmee het in de voetsporen van Microsoft trad.

De patches die staan beschreven in het Adobe Security Bulletin APSB09-07 zijn van toepassing op zowel Mac OS X- als op Windows-systemen. Patches voor het UNIX-platform, met uitzondering van Mac OS X, zijn pverigens pas op 16 juni beschikbaar, zo laat de softwaregigant weten.

Adobe raadt alle gebruikers van Reader en Acrobat bij te werken naar de nieuwste versie. Bovendien zijn er ook patches voor oudere versies, versie 7 en 8, beschikbaar en wordt aanbevolen om de stappen beschreven in het bulletin uit te voeren.

Naast Adobe heeft ook Microsoft recentelijk meer dan dertig patches de deur uitgedaan die van toepassing zijn op Internet Explorer, Microsoft Office, Active Directory, Windows Print Spooler, Windows Search, Microsoft Works en de Windows Remote Procedure.